# C Prime Plus 示例代码库

## 写在前面

这是我个人对 **C Prime Plus** 这本书中示例代码的复现和对一些习题尝试给出的解答。在学习这本教材时，如果有不懂的部分，可以在这个代码库中找到参考。

入门部分可以让大家快速上手 C 语言，主要使用了[这个视频](https://www.bilibili.com/video/BV1dr4y1n7vA)作为教材。相当于这个教材的文字版本，看完以后应该刚刚好够你应付第一个学期的 C 语言考试。其中有关算法的初步讲解非常到位且容易上手。

但是，我仅仅建议用这个视频来初步感知 C 语言是什么，以及编写 C 语言的大致路径究竟是怎么样的。在真正书写一些 C 语言程序时，开发规范一般应当遵照这本书：**C Prime Plus**

在提升部分，主要基于 *C Prime Plus* 这本书来讲解。这本书深入浅出，事无巨细地讲解了 C 语言的程序开发、编写到运行过程中的大部分知识，如果你真的看懂了这本书，那么你在简历上写“精通 C 语言程序开发”就是完全不成问题的了。

我如此推崇这本书的原因是，它是由 **真正研究 C 语言，制定 C 标准的人** 写的，而不只是为了适应特定项目开发，或者教会学生怎么写一些 C 代码的人写的。

## 环境配置

所有需要教给大家的部分只有环境如何配置。现今所存的所有 C 语言教学中，环境配置五花八门，很多想要入门的同学往往都是卡在了这一步，或者被一些不当的环境配置搞得死去活来。所以现在，这份文档将教你以最新的 VSCode 一步步快速地搭建出一个顺手的开发环境。
